# Folder Inclusion

## Get

> Retrieve FSLogix Profile Container Folder Inclusion List of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderInclusion":{"get":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Get","description":"Retrieve FSLogix Profile Container Folder Inclusion List of a session server with the specified ID.","operationId":"98aa1479-d985-4070-8ef5-487ad09ad517","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a folder to the Folder Inclusion List of the FSLogix Profile Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderInclusion":{"post":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Add","description":"Add a folder to the Folder Inclusion List of the FSLogix Profile Container settings.","operationId":"ccad98bb-c7c4-4621-8ee2-9bdffee11675","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Folder configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddFSLogixFolderInclusion"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddFSLogixFolderInclusion":{"required":["folder"],"type":"object","properties":{"folder":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Folder' path to add to the Include/Exclude Folder List.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a new folder to the FSLogix folder inclusion list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove a folder from the Folder Inclusion List of the FSLogix Profile Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderInclusion":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Delete","description":"Remove a folder from the Folder Inclusion List of the FSLogix Profile Container settings.","operationId":"56f7e302-8367-4083-b0cc-94c5d717a93c","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Folder configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveFSLogixFolder"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveFSLogixFolder":{"required":["folder"],"type":"object","properties":{"folder":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Folder' path to remove to the Include/Exclude Folder List.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a folder from the FSLogix folder inclusion list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/fslogix/profile-container/folder-inclusion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
